Bug 1297000 - Fix help output for certain link types
Fix help output for certain link types
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iproute (Show other bugs)
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Phil Sutter
Marek Marusic
: Reopened
: 1296997 (view as bug list)
Depends On:
Blocks: 1301628 1359226
  Show dependency treegraph
Reported: 2016-01-08 11:42 EST by Phil Sutter
Modified: 2016-11-03 19:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1359226 (view as bug list)
Last Closed: 2016-11-03 19:38:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phil Sutter 2016-01-08 11:42:54 EST
According to 'ip link help', one should be able to enter e.g. 'ip link help bridge' to see bridge specific parameters. Doing so on RHEL7 though prints the same help output as for 'ip link help' again.
Comment 1 Phil Sutter 2016-01-12 12:50:55 EST
It's probably sufficient to backport the following upstream commit:

commit 561e650eff679296d3f4c12657721ae769cbc187
Author: vadimk <vadim4j@gmail.com>
Date:   Tue Sep 30 08:17:31 2014 +0300

    ip link: Shortify printing the usage of link type
    Allow to print particular link type usage by:
        ip link help [TYPE]
    Currently to print usage for some link type it is needed
    to use the following way:
        ip link { add | del | set } type TYPE help
    Signed-off-by: Vadim Kochan <vadim4j@gmail.com>
Comment 3 Phil Sutter 2016-01-25 16:42:13 EST
*** Bug 1296997 has been marked as a duplicate of this bug. ***
Comment 4 Phil Sutter 2016-02-18 09:57:56 EST
The requested commit was already backported as a dependency for bug 1290860.

*** This bug has been marked as a duplicate of bug 1290860 ***
Comment 11 errata-xmlrpc 2016-11-03 19:38:11 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.